AuNextEvent(3)

Name
AuNextEvent - return the next event

Synopsis
#include <audio/audiolib.h>

void AuNextEvent(server, dequeue, event)
    AuServer *server;
    AuBool dequeue;
    AuEvent *event; /* RETURN */

Arguments

server
    Specifies the connection to the audio server.

dequeue
    Specifies if the event should be removed from the queue.

event
    Returns the event.

Description
AuNextEvent copies the next availible event into event. If dequeue is AuTrue the event is removed from the queue. If the event queue is empty, AuNextEvent flushes the output queue and blocks until one arrives.

See Also
AuEventsQueued, AuScanEvents, AuScanForTypedEvent.

audiolib - Network Audio System C Language Interface